From db0230a4ea0e8cb1b0faa45b9d4adcbe1d40c23e Mon Sep 17 00:00:00 2001
From: sezero <sezero@users.sourceforge.net>
Date: Sun, 22 Jan 2017 11:22:10 +0300
Subject: [PATCH 8/9] ia32/nasm.h:  for Watcom + OS/2, asm files should be
 built into obj format. provide necessary macros for that. (Watcom builds
 won't go through configury so touching configure.ac is not necessary.)

---
 src/libFLAC/ia32/nasm.h | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/libFLAC/ia32/nasm.h b/src/libFLAC/ia32/nasm.h
index 7850cd2..99b599a 100644
--- a/src/libFLAC/ia32/nasm.h
+++ b/src/libFLAC/ia32/nasm.h
@@ -60,6 +60,11 @@
 	%idefine code_section section .text align=16
 	%idefine data_section section .data align=32
 	%idefine bss_section  section .bss  align=32
+%elifdef __OS2__
+	BITS 32
+	%idefine code_section SEGMENT .text ALIGN=16 CLASS=CODE USE32 FLAT
+	%idefine data_section SEGMENT .data ALIGN=16 CLASS=DATA USE32 FLAT
+	%idefine bss_section  SEGMENT .bss  ALIGN=16 CLASS=BSS  USE32 FLAT
 %else
 	%error unsupported object format! ; this directive doesn't really work here
 %endif
@@ -67,6 +72,8 @@
 %imacro cglobal 1
 	%ifdef FLAC__PUBLIC_NEEDS_UNDERSCORE
 		global _%1
+	%elifdef __OS2__
+		global %1
 	%else
 		%if __NASM_MAJOR__ >= 2
 			global %1:function hidden
-- 
1.8.5.5

